% script data_7bed 
% this script defines the data and the matrix for the graph of  
% problem ``A 7-capillary bed''
r=3e-3; % radius of capillaries (mm)
mu=2e-3; % blood viscosity g/(mm*s) 
pa=30; pv=20; % pressure in the arteriole and venule (mmHg)
R=8*mu/(pi*r^4); % resistance in capillaries g/(mm^5*s) 
Area=pi*r^2; % area of the capillary cross-section (mm^2)
% G = matrix of the graph encoding capillary lengths
G=[0   0.3 0   0   0   0;
   0.3 0   0.3 0.4 0   0;
   0   0.3 0   0.5 0.4 0;
   0   0.4 0.5 0   0.3 0;
   0   0   0.4 0.3 0   0.3;
   0   0   0   0   0.3 0];
disp('The data of problem "A 7-capillary bed" are defined')
