% script pigreek
a=zeros(30,1); e=zeros(30,1); % initialises the vectors a and e
% they will contain the first 30 elements 
% of the sequences a_n and e_n
a(1)=2; e(1)=abs(pi-a(1))/pi; % first element of the sequences
for n=2:30    % loop for generic n
  a(n)=2^(n-0.5)*sqrt(1-sqrt(1-4^(1-n)*a(n-1)^2));
  e(n)=abs(pi-a(n))/pi;
end
% plot the sequence  a_n 
figure(1); clf
N=1:30; plot(N,a,'bo','Linewidth',2); hold on
plot([1,30],[pi,pi],'k--') % plots the line y=pi
xlabel('n'); ylabel('a_n'); grid on
% plot the sequence e_n
figure(2); clf
N=1:30; 
semilogy(N,e,'bo','Linewidth',2)  % log scale in y, 
                                  % linear scale in x
xlabel('n'); ylabel('e_n'); grid on
