% script finite_diff2 
% approximation of f'(t) by finite differences - errors
f=@(t)sin(t); tc=pi/6; de=cos(pi/6); 
% H= vector of discretisation parameters
H=[0.1,0.05,0.01,0.005,0.001,0.0005,0.0001]; 
for h=H
    df=(f(tc+h)-f(tc))/h; %  finite difference
%   abs(x) computes the absolute value of x
    err=abs(de-df); % error. 
    fprintf('h=%f, err=%e \n',h,err) % prints the error
end

